\name{genomeSeg}
\alias{genomeSeg}
\title{Segment the whole genome according to input bed file}
\description{This function segments the genome into bins according to input segmentation bed file.}

\usage{
genomeSeg(segbedfilename,winsize=1000, chrlen)
}

\arguments{
\item{segbedfilename}{path to the segmentation bed file on the disk.}
\item{winsize}{window size of each bin of the genome.}
\item{chrlen}{an integer vector describing the length of each chromosome of the genome.}
}

\details{The function reads in a segmentation bed file from the disk. Each row of the bed file corresponds to a segment. In the bed file, column 1 describes which chromosome each segment comes from; column 2 and 3 indicate the start position and end position of each segment, respectively; column 4 represents the state/type for each segement.  A peak list can be treated as a segmentation file with only two states 0 and 1 (peak region). This function chops the genome into non-overlapping bins of length winsize and annotates the state of each bin according to the input bed file. The output is a vector indicating the state of each genomic bin.
}


\author{Yingying Wei, Hao Wu}

\references{Wei, Y., Wu, H.(2015) Measuring the Spatial Correlations of Protein Binding Sites.}

\examples{
data(hg18.chrlen)
#segment the genome into 1000bp long bins
#annotate each bin according to ChromHMM states
#genomeseg<-genomeSeg("wgEncodeBroadHmmK562HMM.bed",winsize=1000, chrlen)
}

\keyword{Measuring Protein Binding Overlaps}