\name{prepareTbls}
\alias{prepareTbls}
\title{Prepare a Table List Containing Overlapping Information for Protein Pairs in the Database}
\description{Prepare a table list for containing overlapping information of all available pairs of proteins for the given biological condition. Each element contains the names of a given pair of proteins and a list of two by two tables representing their overlapping at each segment type.}

\usage{
prepareTbls(peakloc.mat,seg.result)
}

\arguments{
\item{peakloc.mat}{A table where each row corresponds to a genomic bin and each collumn represents the genome-wide binding profile of a protein.}
\item{seg.result}{A vector indicating the segment state of each genomic bin.}
}

\details{This function constructs a two by two table to summarize the co-occurrence pattern of binding sites for each pair of proteins under each genome segmentation type. Each element of the output corresponds to a protein pair, and it records the co-occurence patterns of the pair of protein over each segment type.
}


\author{Yingying Wei, Hao Wu}

\references{Wei, Y., Wu, H.(2015) Measuring the Spatial Correlations of Protein Binding Sites.}

\examples{
data(hg18.chrlen)
#segment the genome into 1000bp long bins
#annotate each bin according to ChromHMM states
#genomeseg<-genomeSeg("wgEncodeBroadHmmK562HMM.bed",winsize=1000, chrlen)
#data(K562peaklocmat)
#tbls=prepareTbls(peakloc.mat,genomeseg)
}

\keyword{Measuring Protein Binding Overlaps}